/* Copyright 2003-2005 Charles Robert Simpson, Jr.
 *
 * This file is part of NETI@home.
 * 
 * NETI@home is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * NETI@home is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with NETI@home; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#define GEOLOCATIONSIZE 263

static const char *geolocations[GEOLOCATIONSIZE] = 
{
	"Unknown",					// ID = 0
//
	"Afghanistan",					// ID = 1
	"Albania",					// ID = 2
	"Algeria",					// ID = 3
	"American Samoa",				// ID = 4
	"Andorra",					// ID = 5
	"Angola",					// ID = 6
	"Anguilla",					// ID = 7
	"Antigua and Barbuda",				// ID = 8
	"Argentina",					// ID = 9
	"Armenia",					// ID = 10
	"Aruba",					// ID = 11
	"Ashmore and Cartier Islands",			// ID = 12
	"Australia",					// ID = 13
	"Austria",					// ID = 14
	"Azerbaijan",					// ID = 15
	"The Bahamas",					// ID = 16
	"Bahrain",					// ID = 17
	"Baker Island",					// ID = 18
	"Bangladesh",					// ID = 19
	"Barbados",					// ID = 20
	"Bassas da India",				// ID = 21
	"Belarus",					// ID = 22
	"Belgium",					// ID = 23
	"Belize",					// ID = 24
	"Benin",					// ID = 25
	"Bermuda",					// ID = 26
	"Bhutan",					// ID = 27
	"Bolivia",					// ID = 28
	"Bosnia and Herzegovina",			// ID = 29
	"Botswana",					// ID = 30
	"Bouvet Island",				// ID = 31
	"Brazil",					// ID = 32
	"British Indian Ocean Territory",		// ID = 33
	"British Virgin Islands",			// ID = 34
	"Brunei",					// ID = 35
	"Bulgaria",					// ID = 36
	"Burkina Faso",					// ID = 37
	"Burma",					// ID = 38
	"Burundi",					// ID = 39
	"Cambodia",					// ID = 40
	"Cameroon",					// ID = 41
	"Canada",					// ID = 42
	"Cape Verde",					// ID = 43
	"Cayman Islands",				// ID = 44
	"Central African Republic",			// ID = 45
	"Chad",						// ID = 46
	"Chile",					// ID = 47
	"China",					// ID = 48
	"Christmas Island",				// ID = 49
	"Clipperton Island",				// ID = 50
	"Cocos (Keeling) Islands",			// ID = 51
	"Colombia",					// ID = 52
	"Comoros",					// ID = 53
	"Congo",					// ID = 54
	"Congo, Democratic Republic of",		// ID = 55
	"Cook Islands",					// ID = 56
	"Coral Sea Islands",				// ID = 57
	"Costa Rica",					// ID = 58
	"Cote d'Ivoire",				// ID = 59
	"Croatia",					// ID = 60
	"Cuba",						// ID = 61
	"Cyprus",					// ID = 62
	"Czech Republic",				// ID = 63
	"Denmark",					// ID = 64
	"Djibouti",					// ID = 65
	"Dominica",					// ID = 66
	"Dominican Republic",				// ID = 67
	"East Timor",					// ID = 68
	"Ecuador",					// ID = 69
	"Egypt",					// ID = 70
	"El Salvador",					// ID = 71
	"Equatorial Guinea",				// ID = 72
	"Eritrea",					// ID = 73
	"Estonia",					// ID = 74
	"Ethiopia",					// ID = 75
	"Europa Island",				// ID = 76
	"Falkland Islands (Islas Malvinas)",		// ID = 77
	"Faroe Islands",				// ID = 78
	"Fiji",						// ID = 79
	"Finland",					// ID = 80
	"France",					// ID = 81
	"French Guiana",				// ID = 82
	"French Polynesia",				// ID = 83
	"French Southern and Antarctic Lands",		// ID = 84
	"Gabon",					// ID = 85
	"The Gambia",					// ID = 86
	"Georgia",					// ID = 87
	"Germany",					// ID = 88
	"Ghana",					// ID = 89
	"Gibraltar",					// ID = 90
	"Glorioso Islands",				// ID = 91
	"Greece",					// ID = 92
	"Greenland",					// ID = 93
	"Grenada",					// ID = 94
	"Guadeloupe",					// ID = 95
	"Guam",						// ID = 96
	"Guatemala",					// ID = 97
	"Guernsey",					// ID = 98
	"Guinea",					// ID = 99
	"Guinea-Bissau",				// ID = 100
	"Guyana",					// ID = 101
	"Haiti",					// ID = 102
	"Heard Island and McDonald Islands",		// ID = 103
	"Honduras",					// ID = 104
	"Howland Island",				// ID = 105
	"Hungary",					// ID = 106
	"Iceland",					// ID = 107
	"India",					// ID = 108
	"Indonesia",					// ID = 109
	"Iran",						// ID = 110
	"Iraq",						// ID = 111
	"Ireland",					// ID = 112
	"Israel",					// ID = 113
	"Italy",					// ID = 114
	"Jamaica",					// ID = 115
	"Jan Mayen",					// ID = 116
	"Japan",					// ID = 117
	"Jarvis Island",				// ID = 118
	"Jersey",					// ID = 119
	"Johnston Atoll",				// ID = 120
	"Jordan",					// ID = 121
	"Juan de Nova Island",				// ID = 122
	"Kazakhstan",					// ID = 123
	"Kenya",					// ID = 124
	"Kingman Reef",					// ID = 125
	"Kiribati",					// ID = 126
	"Korea, North",					// ID = 127
	"Korea, South",					// ID = 128
	"Kuwait",					// ID = 129
	"Kyrgyzstan",					// ID = 130
	"Laos",						// ID = 131
	"Latvia",					// ID = 132
	"Lebanon",					// ID = 133
	"Lesotho",					// ID = 134
	"Liberia",					// ID = 135
	"Libya",					// ID = 136
	"Liechtenstein",				// ID = 137
	"Lithuania",					// ID = 138
	"Luxembourg",					// ID = 139
	"Macau",					// ID = 140
	"Macedonia",					// ID = 141
	"Madagascar",					// ID = 142
	"Malawi",					// ID = 143
	"Malaysia",					// ID = 144
	"Maldives",					// ID = 145
	"Mali",						// ID = 146
	"Malta",					// ID = 147
	"Man, Isle of",					// ID = 148
	"Marshall Islands",				// ID = 149
	"Martinique",					// ID = 150
	"Mauritania",					// ID = 151
	"Mauritius",					// ID = 152
	"Mayotte",					// ID = 153
	"Mexico",					// ID = 154
	"Micronesia, Federated States of",		// ID = 155
	"Midway Islands",				// ID = 156
	"Moldova",					// ID = 157
	"Monaco",					// ID = 158
	"Mongolia",					// ID = 159
	"Montserrat",					// ID = 160
	"Morocco",					// ID = 161
	"Mozambique",					// ID = 162
	"Myanmar",					// ID = 163
	"Namibia",					// ID = 164
	"Nauru",					// ID = 165
	"Navassa Island",				// ID = 166
	"Nepal",					// ID = 167
	"Netherlands",					// ID = 168
	"Netherlands Antilles",				// ID = 169
	"New Caledonia",				// ID = 170
	"New Zealand",					// ID = 171
	"Nicaragua",					// ID = 172
	"Niger",					// ID = 173
	"Nigeria",					// ID = 174
	"Niue",						// ID = 175
	"Norfolk Island",				// ID = 176
	"Northern Mariana Islands",			// ID = 177
	"Norway",					// ID = 178
	"Oman",						// ID = 179
	"Pakistan",					// ID = 180
	"Palau",					// ID = 181
	"Palestinian State",				// ID = 182
	"Palmyra Atoll",				// ID = 183
	"Panama",					// ID = 184
	"Papua New Guinea",				// ID = 185
	"Paracel Islands",				// ID = 186
	"Paraguay",					// ID = 187
	"Peru",						// ID = 188
	"Philippines",					// ID = 189
	"Pitcairn Islands",				// ID = 190
	"Poland",					// ID = 191
	"Portugal",					// ID = 192
	"Puerto Rico",					// ID = 193
	"Qatar",					// ID = 194
	"Reunion",					// ID = 195
	"Romania",					// ID = 196
	"Russia",					// ID = 197
	"Rwanda",					// ID = 198
	"Saint Helena",					// ID = 199
	"Saint Kitts and Nevis",			// ID = 200
	"Saint Lucia",					// ID = 201
	"Saint Pierre and Miquelon",			// ID = 202
	"Saint Vincent and the Grenadines",		// ID = 203
	"Samoa",					// ID = 204
	"San Marino",					// ID = 205
	"Sao Tome and Principe",			// ID = 206
	"Saudi Arabia",					// ID = 207
	"Senegal",					// ID = 208
	"Serbia and Montenegro",			// ID = 209
	"Seychelles",					// ID = 210
	"Sierra Leone",					// ID = 211
	"Singapore",					// ID = 212
	"Slovakia",					// ID = 213
	"Slovenia",					// ID = 214
	"Solomon Islands",				// ID = 215
	"Somalia",					// ID = 216
	"South Africa",					// ID = 217
	"South Georgia and South Sandwich Islands",	// ID = 218
	"Spain",					// ID = 219
	"Spratly Islands",				// ID = 220
	"Sri Lanka",					// ID = 221
	"Sudan",					// ID = 222
	"Suriname",					// ID = 223
	"Svalbard",					// ID = 224
	"Swaziland",					// ID = 225
	"Sweden",					// ID = 226
	"Switzerland",					// ID = 227
	"Syria",					// ID = 228
	"Taiwan",					// ID = 229
	"Tajikistan",					// ID = 230
	"Tanzania",					// ID = 231
	"Thailand",					// ID = 232
	"Togo",						// ID = 233
	"Tokelau",					// ID = 234
	"Tonga",					// ID = 235
	"Trinidad and Tobago",				// ID = 236
	"Tromelin Island",				// ID = 237
	"Tunisia",					// ID = 238
	"Turkey",					// ID = 239
	"Turkmenistan",					// ID = 240
	"Turks and Caicos Islands",			// ID = 241
	"Tuvalu",					// ID = 242
	"Uganda",					// ID = 243
	"Ukraine",					// ID = 244
	"United Arab Emirates",				// ID = 245
	"United Kingdom",				// ID = 246
	"United States",				// ID = 247
	"Uruguay",					// ID = 248
	"Uzbekistan",					// ID = 249
	"Vanuatu",					// ID = 250
	"Vatican City (Holy See)",			// ID = 251
	"Venezuela",					// ID = 252
	"Vietnam",					// ID = 253
	"Virgin Islands",				// ID = 254
	"Wake Island",					// ID = 255
	"Wallis and Futuna",				// ID = 256
	"Western Sahara",				// ID = 257
	"Yemen",					// ID = 258
	"*Yugoslavia",					// ID = 259
	"Zambia",					// ID = 260
	"Zimbabwe",					// ID = 261
//
	"Other",					// ID = 262
};

