/* Copyright 2003-2005 Charles Robert Simpson, Jr.
 *
 * This file is part of NETI@home.
 * 
 * NETI@home is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * NETI@home is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with NETI@home; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#include "resource.h"

// Geolocations
#include "../locations.h"

struct _if_info_t;
struct _if_addr_t;

typedef struct _if_addr_t {
	struct in_addr ip;
	struct in_addr netmask;
	struct _if_addr_t *next;
} if_addr_t;

typedef struct _if_info_t {
	char *name;
	char *description;
	if_addr_t *addrs;
	struct _if_info_t *next;
} if_info_t;

